{% load static %}

<html {% if LANGUAGE_CODE %}lang="{{ LANGUAGE_CODE }}"{% endif %}>

  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Gift planner</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
    <link rel="stylesheet" type="text/css" media="screen" href="{% static 'css/styles.css' %}">
    <link rel="shortcut icon" type="image/x-icon" href="{% static 'img/favicon.ico' %}">
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <div class="container fixed">

        <a class="navbar-brand" href="{% url 'profile'%}"><img src="{% static 'img/logo_gift_white.gif' %}"></a>
        <!-- tlačítko pre rozbaľovanie menu na úzkych obrazovkách -->
        <button
          class="navbar-toggler" type="button"
          data-toggle="collapse" data-target="#navbarNavAltMarkup"
        >
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
          <!-- jednotlivé prvky menu -->
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'about' %}">
              About
            </a>
          </div>
          {% if request.user.is_authenticated %}
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'gift:gifts' %}">
              List of gifts
            </a>
          </div>
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'gift:persons' %}">
              My persons
            </a>
          </div>
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'gift:events' %}">
              List of events
            </a>
          </div>

          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'logout' %}">
              Logout
            </a>

          </div>
          {% else %}
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'login' %}">
              Login
            </a>
          </div>
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'register' %}">
              Register
            </a>
          </div>
          {% endif %}
        </div>
      </div>
    </nav>



    <main class="container">
      <div class="jumbotron mainbox">
            {% if messages %}
            <div>
                <ul class="messages">
                    {% for message in messages %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}Important: {% endif %}
                        {{ message }}
                    </li>
                    {% endfor %}
                </ul>
            </div>
            {% endif %}

        {% block content %}{% endblock %}

      </div>
    </main>

    <!-- zápätie -->
    <footer>
        <div id="footdiv" class="container-fluid fixed-bottom">
          <div class="container">
            <p>MS 2021</p>
          </div>
        </div>
    </footer>

  </body>

</html>